# Method: firstAndThirdPartyAudiences.list

> [!WARNING]
> Display \& Video 360 API v3 has sunset. Use [v4](https://developers.google.com/display-video/api/reference/rest/v4) instead.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v3/firstAndThirdPartyAudiences/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v3/firstAndThirdPartyAudiences/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v3/firstAndThirdPartyAudiences/list#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v3/firstAndThirdPartyAudiences/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v3/firstAndThirdPartyAudiences/list#body.ListFirstAndThirdPartyAudiencesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v3/firstAndThirdPartyAudiences/list#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v3/firstAndThirdPartyAudiences/list#try-it)

Lists first and third party audiences.

The order is defined by the `https://developers.google.com/display-video/api/reference/rest/v3/firstAndThirdPartyAudiences/list#body.QUERY_PARAMETERS.order_by` parameter.

### HTTP request

`GET https://displayvideo.googleapis.com/v3/firstAndThirdPartyAudiences`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Must be between `1` and `5000`. If unspecified, this value defaults to `5000`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v3/firstAndThirdPartyAudiences/list#body.ListFirstAndThirdPartyAudiencesResponse.FIELDS.next_page_token` returned from the previous call to `firstAndThirdPartyAudiences.list` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Field by which to sort the list. Acceptable values are: - `firstAndThirdPartyAudienceId` (default) - `displayName` The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: `displayName desc`. |
| `filter` | `string` Allows filtering by first and third party audience fields. Supported syntax: - Filter expressions for first and third party audiences can only contain at most one restriction. - A restriction has the form of `{field} {operator} {value}`. - All fields must use the `HAS (:)` operator. Supported fields: - `displayName` Examples: - All first and third party audiences for which the display name contains "Google": `displayName:"Google"`. The length of this field should be no more than 500 characters. Reference our [filter `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) guide for more information. |
| Union parameter `accessor`. Required. Identifies which DV360 entity the request is being made within. The LIST request will only return first and third party audience entities that are accessible to the DV360 entity identified within the `accessor`. `accessor` can be only one of the following: ||
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the partner that has access to the fetched first and third party audiences. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser that has access to the fetched first and third party audiences. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "firstAndThirdPartyAudiences": [ { object (`https://developers.google.com/display-video/api/reference/rest/v3/firstAndThirdPartyAudiences#FirstAndThirdPartyAudience`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `firstAndThirdPartyAudiences[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v3/firstAndThirdPartyAudiences#FirstAndThirdPartyAudience`)`` The list of first and third party audiences. Audience size properties will not be included. This list will be absent if empty. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/api/reference/rest/v3/firstAndThirdPartyAudiences/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `firstAndThirdPartyAudiences.list` method to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).